Runtime

## org.eclipse.gmf.runtime.diagram.core.view.factories
Interface ViewFactory

    public interface ViewFactory

Interface defining the basic View Factory APIs; a view factory is responsible for creating a view. The `createView` will be called by the `ViewService`(using reflection) during a view creation process.``

See Also:
  `ViewService`, `CreateViewOperation`

Method Summary
`View` `createView(IAdaptable semanticAdapter, View containerView, java.lang.String semanticHint, int index, boolean persisted, PreferencesHint preferencesHint)` factory method, that will be called by the view service to creat the view

Method Detail

### createView

    View createView(IAdaptable semanticAdapter,
                    View containerView,
                    java.lang.String semanticHint,
                    int index,
                    boolean persisted,
                    PreferencesHint preferencesHint)

  factory method, that will be called by the view service to creat the view

  Parameters:
    `semanticAdapter` - semanitc element of the view, it can be null
    `containerView` - the view to contain the connection
    `semanticHint` - a semantic hint to reflect the view type, it can be empty
    `index` - position with parent's child collection
    `persisted` - persisted flag, this will indicate if the created view will be a presisted or transient view, transient views never get serialized
    `preferenceStoreID` - the ID mapped to the preference store to be used when initializing the view's properties
  Returns:
    the new view

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.